<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc -->
<title>Index (app API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (app API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="serialization/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="serialization/Action.html" title="class in serialization"><span class="typeNameLink">Action</span></a> - Class in <a href="serialization/package-summary.html">serialization</a></dt>
<dd>
<div class="block">Class Action for creating, serializing and deserializing
 map with generating keys and values</div>
</dd>
<dt><span class="memberNameLink"><a href="serialization/Action.html#%3Cinit%3E()">Action()</a></span> - Constructor for class serialization.<a href="serialization/Action.html" title="class in serialization">Action</a></dt>
<dd>&nbsp;</dd>
</dl>
<a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Student.html#courseGenration()">courseGenration()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">method to generating random number</div>
</dd>
</dl>
<a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Action.html#deserialize(java.lang.String)">deserialize(String)</a></span> - Static method in class serialization.<a href="serialization/Action.html" title="class in serialization">Action</a></dt>
<dd>
<div class="block">static method map deserialization</div>
</dd>
</dl>
<a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Student.html#getCourse()">getCourse()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">method getFirstName</div>
</dd>
<dt><span class="memberNameLink"><a href="serialization/Student.html#getFirstName()">getFirstName()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">method getFirstName</div>
</dd>
<dt><span class="memberNameLink"><a href="serialization/Student.html#getSecondName()">getSecondName()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">method getFirstName</div>
</dd>
</dl>
<a id="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Main.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class serialization.<a href="serialization/Main.html" title="class in serialization">Main</a></dt>
<dd>&nbsp;</dd>
<dt><a href="serialization/Main.html" title="class in serialization"><span class="typeNameLink">Main</span></a> - Class in <a href="serialization/package-summary.html">serialization</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="serialization/Main.html#%3Cinit%3E()">Main()</a></span> - Constructor for class serialization.<a href="serialization/Main.html" title="class in serialization">Main</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="serialization/Action.html#mapGeneration()">mapGeneration()</a></span> - Static method in class serialization.<a href="serialization/Action.html" title="class in serialization">Action</a></dt>
<dd>
<div class="block">static method for map creation and filling</div>
</dd>
</dl>
<a id="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Student.html#nameGeneration()">nameGeneration()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">method to generating a string with random characters</div>
</dd>
</dl>
<a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><a href="serialization/package-summary.html">serialization</a> - package serialization</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="serialization/Action.html#serialize(java.lang.String)">serialize(String)</a></span> - Static method in class serialization.<a href="serialization/Action.html" title="class in serialization">Action</a></dt>
<dd>
<div class="block">static method map serialization</div>
</dd>
<dt><a href="serialization/Student.html" title="class in serialization"><span class="typeNameLink">Student</span></a> - Class in <a href="serialization/package-summary.html">serialization</a></dt>
<dd>
<div class="block">Class Student for creating a student with
 random name and course</div>
</dd>
</dl>
<a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="serialization/Student.html#toString()">toString()</a></span> - Method in class serialization.<a href="serialization/Student.html" title="class in serialization">Student</a></dt>
<dd>
<div class="block">override toString method</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:D">D</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="serialization/package-summary.html">Package</a></li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
